/* TO-DO: Abuse vh to ensure that GBA pages don't have a scrollbar. */
/* Make header image small (or remove entirely) to help w/ this. */
/* Just disable the game entirely if on mobile. */
/* Remove "game" tag from MNOG. */


html body {
    padding-bottom: 0em;
    max-height: 100vh;
}

main{
    display: flex;
    margin: auto;
    padding: 0em .5em;

    font-family: "Gill Sans Std", Helvetica Now, Helvetica, Arial, sans-serif;
    color: var(--front1);
}

main article,
main article section.story,
main article section.titleBox,
main aside {
    border-top-left-radius: 0em;
    border-top-right-radius: 0em;
    border-top: 0px solid var(--border);
}

main article section.titleBox {
    padding: 0.125em 0em;
}

section.titleBox img {
    display: none;
}

div.savefile button,
div.nav button {
    margin: 0.875em;
}

div.nav button {
    margin-top: 0.25em;
}

main section.titleBox,
main div.titleBoxText {
    padding: 0em;
}

main h3 {
    font-size: 1em;
}

main article {
    width: 480px;
    max-width: 480px;
}

header{
    display: none;
}

main h2{
    font-size: initial;
    font-size: 1em;
}

main h2 a:hover {
    font-size: 1em;
}

main h2 a:active {
    font-size: 1em;
}

main h1{
    font-size: initial;
    font-size: 1.5em;
}

main object{
    padding-top: 0em;
    max-height: 320px;
    max-width: 480px;
}

#warning{
    text-align: center;
    display: none;
}

#controls{
    display: flex;
    flex-direction: column;
}

#gbabuttons,
#userbuttons{
    display: flex;
    flex-direction: row;
    flex: 1 1 0px;
    flex-basis: 16.66%;
}

#gbabuttons{
    font-weight: bold;
}

#gbabuttons p{
    padding-bottom: 0.25em;
}

#userbuttons{
    margin-top: 0em;
    font-size: 0.75em;
    color: var(--front3);
}

#gbabuttons p,
#userbuttons p{
    margin: auto;
    width: 100%;
    text-align: center;
}

@media only screen and (max-width: 1280px) {
    main{
        width: 480px;
    }

    main object{
        max-height: 320px;
        max-width: 480px;
    }
}

@media only screen and (max-width: 640px) {
    main{
        width: 90%;
        border: 1px solid var(--border);
        box-shadow: var(--outershadow);
        border-radius: 1em;
    }

    main object,
    #controls{
        display: none;
    }

    #warning{
        display: block;
    }
}

.nav button {
    font-size: 1.25em;
    border-radius: 0.375em;
    height: 32px;
}